%%%---------------------------------------
%%% module      : data_red_envelopes
%%% description : 红包配置
%%%
%%%---------------------------------------
-module(data_red_envelopes).
-compile(export_all).
-include("red_envelopes.hrl").



get_goods_cfg(38080000) ->
    #red_envelopes_goods_cfg{goods_id = 38080000,ownership_type = 1,name = "测试红包",desc = "这是一个测试红包",greetings = "这是一个测试红包",money_type = 2,money = 50,min_num = 2,times_lim = 100};

get_goods_cfg(38080030) ->
    #red_envelopes_goods_cfg{goods_id = 38080030,ownership_type = 1,name = "30钻红包",desc = "随机获得钻石",greetings = "随机获得钻石",money_type = 2,money = 30,min_num = 10,times_lim = 100};

get_goods_cfg(38080050) ->
    #red_envelopes_goods_cfg{goods_id = 38080050,ownership_type = 1,name = "50钻红包",desc = "随机获得钻石",greetings = "随机获得钻石",money_type = 2,money = 50,min_num = 10,times_lim = 100};

get_goods_cfg(38080100) ->
    #red_envelopes_goods_cfg{goods_id = 38080100,ownership_type = 1,name = "100钻红包",desc = "随机获得钻石",greetings = "随机获得钻石",money_type = 2,money = 100,min_num = 10,times_lim = 100};

get_goods_cfg(_Goodsid) ->
    [].

get_envelope(1) ->
    #base_red_envelopes_cfg{id = 1,type = 2,name = "每日累充",greetings = "每日累充60",trigger_interval = 3,condition = [{today_recharge,60}],kind = 2,money = 50,num = 10};

get_envelope(2) ->
    #base_red_envelopes_cfg{id = 2,type = 1,name = "贵族4级",greetings = "贵族4级",trigger_interval = 1,condition = [{vip,4}],kind = 2,money = 100,num = 20};

get_envelope(3) ->
    #base_red_envelopes_cfg{id = 3,type = 1,name = "贵族5级",greetings = "贵族5级",trigger_interval = 1,condition = [{vip,5}],kind = 2,money = 150,num = 20};

get_envelope(4) ->
    #base_red_envelopes_cfg{id = 4,type = 1,name = "贵族3级",greetings = "贵族3级",trigger_interval = 1,condition = [{vip,3}],kind = 2,money = 50,num = 20};

get_envelope(5) ->
    #base_red_envelopes_cfg{id = 5,type = 2,name = "每日累充",greetings = "每日累充300",trigger_interval = 3,condition = [{today_recharge,300}],kind = 2,money = 50,num = 10};

get_envelope(6) ->
    #base_red_envelopes_cfg{id = 6,type = 2,name = "每日累充",greetings = "每日累充600",trigger_interval = 3,condition = [{today_recharge,600}],kind = 3,money = 1000,num = 20};

get_envelope(11) ->
    #base_red_envelopes_cfg{id = 11,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14010001}],kind = 2,money = 50,num = 9};

get_envelope(12) ->
    #base_red_envelopes_cfg{id = 12,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14010002}],kind = 2,money = 55,num = 10};

get_envelope(13) ->
    #base_red_envelopes_cfg{id = 13,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14010003}],kind = 2,money = 60,num = 11};

get_envelope(14) ->
    #base_red_envelopes_cfg{id = 14,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14010004}],kind = 2,money = 65,num = 12};

get_envelope(15) ->
    #base_red_envelopes_cfg{id = 15,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14010005}],kind = 2,money = 70,num = 13};

get_envelope(16) ->
    #base_red_envelopes_cfg{id = 16,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14010006}],kind = 2,money = 75,num = 14};

get_envelope(17) ->
    #base_red_envelopes_cfg{id = 17,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14020001}],kind = 2,money = 80,num = 15};

get_envelope(18) ->
    #base_red_envelopes_cfg{id = 18,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14020002}],kind = 2,money = 85,num = 16};

get_envelope(19) ->
    #base_red_envelopes_cfg{id = 19,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14020003}],kind = 2,money = 90,num = 17};

get_envelope(20) ->
    #base_red_envelopes_cfg{id = 20,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14020004}],kind = 2,money = 95,num = 18};

get_envelope(21) ->
    #base_red_envelopes_cfg{id = 21,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14030001}],kind = 2,money = 100,num = 19};

get_envelope(22) ->
    #base_red_envelopes_cfg{id = 22,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14030002}],kind = 2,money = 105,num = 20};

get_envelope(23) ->
    #base_red_envelopes_cfg{id = 23,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14030003}],kind = 2,money = 110,num = 20};

get_envelope(24) ->
    #base_red_envelopes_cfg{id = 24,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14040001}],kind = 2,money = 115,num = 20};

get_envelope(25) ->
    #base_red_envelopes_cfg{id = 25,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14040002}],kind = 2,money = 120,num = 20};

get_envelope(26) ->
    #base_red_envelopes_cfg{id = 26,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14040003}],kind = 2,money = 125,num = 20};

get_envelope(27) ->
    #base_red_envelopes_cfg{id = 27,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14040004}],kind = 2,money = 130,num = 20};

get_envelope(28) ->
    #base_red_envelopes_cfg{id = 28,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14050001}],kind = 2,money = 135,num = 20};

get_envelope(29) ->
    #base_red_envelopes_cfg{id = 29,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14050002}],kind = 2,money = 140,num = 20};

get_envelope(30) ->
    #base_red_envelopes_cfg{id = 30,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14050003}],kind = 2,money = 145,num = 20};

get_envelope(31) ->
    #base_red_envelopes_cfg{id = 31,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14050004}],kind = 2,money = 150,num = 20};

get_envelope(32) ->
    #base_red_envelopes_cfg{id = 32,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14060001}],kind = 2,money = 155,num = 20};

get_envelope(33) ->
    #base_red_envelopes_cfg{id = 33,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14060002}],kind = 2,money = 160,num = 20};

get_envelope(34) ->
    #base_red_envelopes_cfg{id = 34,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14060003}],kind = 2,money = 165,num = 20};

get_envelope(35) ->
    #base_red_envelopes_cfg{id = 35,type = 3,name = "世界幻魔红包",greetings = "伤害第一biubiubiu！~",trigger_interval = 0,condition = [{boss_id,14060004}],kind = 2,money = 170,num = 20};

get_envelope(101) ->
    #base_red_envelopes_cfg{id = 101,type = 4,name = "超值投资红包",greetings = "超值投资！红钻从此领不停",trigger_interval = 0,condition = [{invest,1}],kind = 2,money = 100,num = 20};

get_envelope(102) ->
    #base_red_envelopes_cfg{id = 102,type = 4,name = "豪华投资",greetings = "豪华投资！红钻从此不用愁",trigger_interval = 0,condition = [{invest,2}],kind = 2,money = 200,num = 20};

get_envelope(201) ->
    #base_red_envelopes_cfg{id = 201,type = 1,name = "贵族6级",greetings = "贵族6级",trigger_interval = 1,condition = [{vip,6}],kind = 2,money = 200,num = 20};

get_envelope(202) ->
    #base_red_envelopes_cfg{id = 202,type = 1,name = "贵族7级",greetings = "贵族7级",trigger_interval = 1,condition = [{vip,7}],kind = 2,money = 250,num = 20};

get_envelope(203) ->
    #base_red_envelopes_cfg{id = 203,type = 1,name = "贵族8级",greetings = "贵族8级",trigger_interval = 1,condition = [{vip,8}],kind = 2,money = 300,num = 20};

get_envelope(204) ->
    #base_red_envelopes_cfg{id = 204,type = 1,name = "贵族9级",greetings = "贵族9级",trigger_interval = 1,condition = [{vip,9}],kind = 2,money = 400,num = 20};

get_envelope(205) ->
    #base_red_envelopes_cfg{id = 205,type = 1,name = "贵族10级",greetings = "贵族10级",trigger_interval = 1,condition = [{vip,10}],kind = 2,money = 500,num = 20};

get_envelope(206) ->
    #base_red_envelopes_cfg{id = 206,type = 1,name = "贵族11级",greetings = "贵族11级",trigger_interval = 1,condition = [{vip,11}],kind = 2,money = 500,num = 20};

get_envelope(207) ->
    #base_red_envelopes_cfg{id = 207,type = 1,name = "贵族12级",greetings = "贵族12级",trigger_interval = 1,condition = [{vip,12}],kind = 2,money = 500,num = 20};

get_envelope(208) ->
    #base_red_envelopes_cfg{id = 208,type = 1,name = "贵族13级",greetings = "贵族13级",trigger_interval = 1,condition = [{vip,13}],kind = 2,money = 500,num = 20};

get_envelope(209) ->
    #base_red_envelopes_cfg{id = 209,type = 1,name = "贵族14级",greetings = "贵族14级",trigger_interval = 1,condition = [{vip,14}],kind = 2,money = 500,num = 20};

get_envelope(210) ->
    #base_red_envelopes_cfg{id = 210,type = 1,name = "贵族15级",greetings = "贵族15级",trigger_interval = 1,condition = [{vip,15}],kind = 2,money = 500,num = 20};

get_envelope(_Id) ->
    [].


get_all_id_by_type(2) ->
    [1,5,6];


get_all_id_by_type(1) ->
    [2,3,4,201,202,203,204,205,206,207,208,209,210];


get_all_id_by_type(3) ->
    [11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33,34,35];


get_all_id_by_type(4) ->
    [101,102];

get_all_id_by_type(_Type) ->
    [].

get_vip(1) ->
    #base_vip_red_envelopes_cfg{id = 1,min_vip = 1,max_vip = 1,name = "VIP红包",money = 100,num = 5};

get_vip(2) ->
    #base_vip_red_envelopes_cfg{id = 2,min_vip = 2,max_vip = 2,name = "vip2红包",money = 200,num = 10};

get_vip(3) ->
    #base_vip_red_envelopes_cfg{id = 3,min_vip = 3,max_vip = 3,name = "vip3红包",money = 300,num = 15};

get_vip(4) ->
    #base_vip_red_envelopes_cfg{id = 4,min_vip = 4,max_vip = 4,name = "vip4红包",money = 400,num = 20};

get_vip(5) ->
    #base_vip_red_envelopes_cfg{id = 5,min_vip = 5,max_vip = 5,name = "vip5红包",money = 500,num = 25};

get_vip(6) ->
    #base_vip_red_envelopes_cfg{id = 6,min_vip = 6,max_vip = 6,name = "vip6红包",money = 600,num = 30};

get_vip(7) ->
    #base_vip_red_envelopes_cfg{id = 7,min_vip = 7,max_vip = 7,name = "vip7红包",money = 700,num = 35};

get_vip(8) ->
    #base_vip_red_envelopes_cfg{id = 8,min_vip = 8,max_vip = 8,name = "vip8红包",money = 800,num = 40};

get_vip(9) ->
    #base_vip_red_envelopes_cfg{id = 9,min_vip = 9,max_vip = 9,name = "vip9红包",money = 900,num = 40};

get_vip(10) ->
    #base_vip_red_envelopes_cfg{id = 10,min_vip = 10,max_vip = 10,name = "vip10红包",money = 1000,num = 40};

get_vip(11) ->
    #base_vip_red_envelopes_cfg{id = 11,min_vip = 11,max_vip = 11,name = "vip11红包",money = 1100,num = 40};

get_vip(12) ->
    #base_vip_red_envelopes_cfg{id = 12,min_vip = 12,max_vip = 12,name = "vip12红包",money = 1200,num = 40};

get_vip(13) ->
    #base_vip_red_envelopes_cfg{id = 13,min_vip = 13,max_vip = 13,name = "vip13红包",money = 1300,num = 40};

get_vip(14) ->
    #base_vip_red_envelopes_cfg{id = 14,min_vip = 14,max_vip = 14,name = "vip14红包",money = 1400,num = 40};

get_vip(15) ->
    #base_vip_red_envelopes_cfg{id = 15,min_vip = 15,max_vip = 15,name = "vip15红包",money = 1500,num = 40};

get_vip(_Id) ->
    [].

get_vip_envelopes(_VipLv) when _VipLv >= 1, _VipLv =< 1 ->
	#base_vip_red_envelopes_cfg{id=1,min_vip=1,max_vip=1,name= "VIP红包",money=100,num=5};
get_vip_envelopes(_VipLv) when _VipLv >= 2, _VipLv =< 2 ->
	#base_vip_red_envelopes_cfg{id=2,min_vip=2,max_vip=2,name= "vip2红包",money=200,num=10};
get_vip_envelopes(_VipLv) when _VipLv >= 3, _VipLv =< 3 ->
	#base_vip_red_envelopes_cfg{id=3,min_vip=3,max_vip=3,name= "vip3红包",money=300,num=15};
get_vip_envelopes(_VipLv) when _VipLv >= 4, _VipLv =< 4 ->
	#base_vip_red_envelopes_cfg{id=4,min_vip=4,max_vip=4,name= "vip4红包",money=400,num=20};
get_vip_envelopes(_VipLv) when _VipLv >= 5, _VipLv =< 5 ->
	#base_vip_red_envelopes_cfg{id=5,min_vip=5,max_vip=5,name= "vip5红包",money=500,num=25};
get_vip_envelopes(_VipLv) when _VipLv >= 6, _VipLv =< 6 ->
	#base_vip_red_envelopes_cfg{id=6,min_vip=6,max_vip=6,name= "vip6红包",money=600,num=30};
get_vip_envelopes(_VipLv) when _VipLv >= 7, _VipLv =< 7 ->
	#base_vip_red_envelopes_cfg{id=7,min_vip=7,max_vip=7,name= "vip7红包",money=700,num=35};
get_vip_envelopes(_VipLv) when _VipLv >= 8, _VipLv =< 8 ->
	#base_vip_red_envelopes_cfg{id=8,min_vip=8,max_vip=8,name= "vip8红包",money=800,num=40};
get_vip_envelopes(_VipLv) when _VipLv >= 9, _VipLv =< 9 ->
	#base_vip_red_envelopes_cfg{id=9,min_vip=9,max_vip=9,name= "vip9红包",money=900,num=40};
get_vip_envelopes(_VipLv) when _VipLv >= 10, _VipLv =< 10 ->
	#base_vip_red_envelopes_cfg{id=10,min_vip=10,max_vip=10,name= "vip10红包",money=1000,num=40};
get_vip_envelopes(_VipLv) when _VipLv >= 11, _VipLv =< 11 ->
	#base_vip_red_envelopes_cfg{id=11,min_vip=11,max_vip=11,name= "vip11红包",money=1100,num=40};
get_vip_envelopes(_VipLv) when _VipLv >= 12, _VipLv =< 12 ->
	#base_vip_red_envelopes_cfg{id=12,min_vip=12,max_vip=12,name= "vip12红包",money=1200,num=40};
get_vip_envelopes(_VipLv) when _VipLv >= 13, _VipLv =< 13 ->
	#base_vip_red_envelopes_cfg{id=13,min_vip=13,max_vip=13,name= "vip13红包",money=1300,num=40};
get_vip_envelopes(_VipLv) when _VipLv >= 14, _VipLv =< 14 ->
	#base_vip_red_envelopes_cfg{id=14,min_vip=14,max_vip=14,name= "vip14红包",money=1400,num=40};
get_vip_envelopes(_VipLv) when _VipLv >= 15, _VipLv =< 15 ->
	#base_vip_red_envelopes_cfg{id=15,min_vip=15,max_vip=15,name= "vip15红包",money=1500,num=40};
get_vip_envelopes(_VipLv) ->
    [].

get_guild_bonfire_ids() ->
    [4101001,4101002].


get_bonfire_name(4101001) ->
    "答题红包";


get_bonfire_name(4101002) ->
    "答题红包";

get_bonfire_name(_Bossid) ->
    "".

